Skip to main content
GET
/
v1
/
scrape
/
youtube
/
video
/
comment-replies
Comment Replies
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/youtube/video/comment-replies \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "success": true,
    "comments": {
      "0": {
        "id": "UgyPehW1vmk2doD46Jp4AaABAg.AVLwYeR8OEEAVLzrH5GLJb",
        "content": "Lol",
        "publishedTimeText": "12 hours ago",
        "publishedTime": "2026-04-09T07:58:36.400Z",
        "replyLevel": 1,
        "author": {
          "name": "@CodexTuber",
          "channelId": "UCoiw8l9ZienkDkjWfBJEM5Q",
          "isVerified": false,
          "isCreator": false,
          "avatarUrl": "https://yt3.ggpht.com/zqGURDfaxai5-vGuiJ2IcNZKTnr0pbyZiu8rUsfFJCO6ewgVY0qq9NvX0Qa8DBxWn5u4aHrbxA=s88-c-k-c0x00ffffff-no-rj",
          "channelUrl": "https://youtube.com/@CodexTuber"
        },
        "engagement": {
          "likes": 11,
          "replies": 0
        }
      }
    },
    "continuationToken": "Eg0SCy0wMVpDVHQtQ0p3GAYy0wIKywFnZXRfY29tbWVudF93aXRoX3JlcGxpZXNfc3RyZWFtLS1DbVlJZ0FRVkY3ZlJPQnBjQ2xnSTJGOFFnQVFZQnlKT2g0RUNvcFI3bGw1ZGwxVkNqVkNCWmNaaDQtTXVQS3RBbFRaMWdwRlVaVmJxeUdZZmJiN1c1TFA1UHg5bmFOWllzVHRDdWs5VFVhQXBHMlpEYUtpZ2N5R1ZTeWptT2t6ZUd0VURYVUFQRUFvU0JRaWdJQmdCSWc0S0RBakx6ZHJPQmhEQTVONkxBdxpQEhpVZ3lQZWhXMXZtazJkb0Q0NkpwNEFhQUJBZyICCAAqGFVDc0JqVVJyUG9lenlrTHM5RXFnYW1PQTILLTAxWkNUdC1DSndAAUgyggECCAEoCkIvY29tbWVudC1yZXBsaWVzLWl0ZW0tVWd5UGVoVzF2bWsyZG9ENDZKcDRBYUFCQWc%3D"
  },
  "credits_used": 1,
  "endpoint": "youtube/video/comment-replies"
}
💳 1 credit per request — use repliesContinuationToken from the Comments endpoint to get replies.

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

continuationToken
string
required

Continuation token for the comment replies. Use 'repliesContinuationToken' from the Comments endpoint, or 'continuationToken' from a previous replies response to paginate.

Example:

"Eg0SC2RRdzR3OVdnWGNRGAYygwEaUBIa..."

Response

Successful response